Upgrade adodb to 5.20.5

Bug #1539346 reported by Robert Lyon on 2016-01-29
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Medium
Robert Lyon

Bug Description

Updating the adodb library

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/5983

Aaron Wells (u-aaronw) on 2016-04-28
Changed in mahara:
milestone: 16.04.0 → 16.10.0
Son Nguyen (ngson2000) on 2016-08-14
summary: - Upgrade adodb to 5.20.2
+ Upgrade adodb to 5.20.5
Son Nguyen (ngson2000) wrote :

The latest version is now 5.20.5

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/6836

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/6835

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/6841

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/6838

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/6837

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/6839

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/6840

Reviewed: https://reviews.mahara.org/6838
Committed: https://git.mahara.org/mahara/mahara/commit/f4ab7790dcbad3919849c73a57b17423d1c476ad
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit f4ab7790dcbad3919849c73a57b17423d1c476ad
Author: Robert Lyon <email address hidden>
Date: Mon Nov 10 08:04:59 2014 +1300

Check for valid columns in adodb postgres64 driver MetaIndexes fn

Bug 1539346

Indexes on functions of columns have a 0 in the indkey column of
pg_catalog.pg_index, which doesn't refer to a column.

Don't return any columns for the index, rather than returning an empty
column name.

(cherry picked from commit b87d9961020a8d52a2eaf709a9197520b3c6b65b)

Change-Id: I9854b99d4937b3fea1ebb44e3abed2e64446afdb
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/6841
Committed: https://git.mahara.org/mahara/mahara/commit/741aa7d2150d22e9206ffa1fd8a93e3f4d697324
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit 741aa7d2150d22e9206ffa1fd8a93e3f4d697324
Author: Robert Lyon <email address hidden>
Date: Fri Jan 29 15:25:19 2016 +1300

Bug 1539346: Moving the define ADODB_ASSOC_CASE_* calls

As they are needed by ADONewConnection even when ADODB_EXTENSION is
above 4.0

behatnotneeded

Change-Id: I63b90f47f5ec0f3ef00905c91f20f35a55e07885
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/6837
Committed: https://git.mahara.org/mahara/mahara/commit/c81a1e1c92bdaf78748a943ab42b33bee727c7e8
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit c81a1e1c92bdaf78748a943ab42b33bee727c7e8
Author: Francois Marier <email address hidden>
Date: Mon May 17 17:47:01 2010 +1200

adodb: check for Postgres 8.1

See Eduforge #2318 or LP #547951.

Bug 1539346

(cherry picked from commit 4bdafccba511540e6db92277aa104a23f57209ac)

Change-Id: I6dd4bdd484528a09b336efa241f0464136f5f7a0
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/6839
Committed: https://git.mahara.org/mahara/mahara/commit/c7ec603cc44ccba0ac7fa7d2891cbd597b44ac14
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit c7ec603cc44ccba0ac7fa7d2891cbd597b44ac14
Author: Penny Leach <email address hidden>
Date: Sun Aug 23 14:54:23 2009 +0200

ADODB modification: add __wakeup to connection object

Bug 1539346

This reconnects to the db after wakeup, as resource types cannot be
serialized and unserialized.

This is necessary for unit tests, phpunit backups and restore globals
between each test.

(cherry picked from commit 417077459037550239fe9b09bd20b50d4c19b57f)

Change-Id: I1a007d0f56dc0e210c3f09e8445c0e56215b9545
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/6836
Committed: https://git.mahara.org/mahara/mahara/commit/b79c042f150aba841c6f909f5bc9d34b4a6a9228
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit b79c042f150aba841c6f909f5bc9d34b4a6a9228
Author: Martin Langhoff <email address hidden>
Date: Sat Dec 1 23:54:23 2007 +1300

adodb: RecordSet_postgres7->MoveNext() - remove expensive is_array()

Bug 1539346

And implicit count() of the array keys/columns. This saves a good 5%
of the exec time of get_records('config')

(cherry picked from commit 4652e5617d9616e3f61e78df5a4c863e16ac5634)

Change-Id: I18aeb0d1635719bec5574005f2dd93e3db32b9e6
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/6835
Committed: https://git.mahara.org/mahara/mahara/commit/737e9d317b64c3fd174008029de82a8c5bb7534b
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit 737e9d317b64c3fd174008029de82a8c5bb7534b
Author: Robert Lyon <email address hidden>
Date: Mon Aug 15 12:03:46 2016 +1200

Bug 1539346: Upgrade ADODB to version 5.20.5

behatnotneeded

Change-Id: I0ae73d8d82a386fb6ce3d0e544c4824ec3ed5860
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/6840
Committed: https://git.mahara.org/mahara/mahara/commit/f9818ff606bbe6ec00b34eab23d1743870407b48
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit f9818ff606bbe6ec00b34eab23d1743870407b48
Author: Robert Lyon <email address hidden>
Date: Mon Aug 15 12:27:03 2016 +1200

Modified session variable setting in ADOdb adodb-pager.inc.php

Bug 1539346

Was originally part of commit 55a8deb8cbd2e1455c7af3a35c50b7cad76d63df
but have moved it out to own patch for purposes of adodb version update

Change-Id: Ifba78f8e1cd57d9489c737fd69ee45a8218d157b
Signed-off-by: Robert Lyon <email address hidden>

Son Nguyen (ngson2000) on 2016-08-16
Changed in mahara:
status: In Progress → Fix Committed
Robert Lyon (robertl-9) on 2016-10-21
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers